Bug 1528357 - Package python-cinder-tests-tempest
Summary: Package python-cinder-tests-tempest
Keywords:
Status: MODIFIED
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS 1533541
TreeView+ depends on / blocked
 
Reported: 2017-12-21 15:49 UTC by Chandan Kumar
Modified: 2018-01-24 08:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
karlthered: rdo-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 11071 None master: MERGED rdoinfo: Add python-cinder-tests-tempest package (I418f5ec3a864fa35924cfd2ef19855693b6f0c03) 2018-01-23 14:19:57 UTC
RDO 11074 None master: MERGED config: Create project for cinder-tempest-plugin (I4e23dfff96d14987d1c94434d449489cb9d11cef) 2018-01-23 14:19:52 UTC
RDO 11162 None rpm-master: NEW openstack/cinder-tempest-plugin-distgit: Initial import of Cinder Tempest Plugin Spec file (I34c91f28af43633f6926f166386... 2018-01-23 14:19:46 UTC

Description Chandan Kumar 2017-12-21 15:49:04 UTC
Package Name: python-cinder-tests-tempest
Git URL: https://github.com/openstack/cinder-tempest-plugin.git
Description: Tempest plugin for cinder project

Comment 1 Alfredo Moralejo 2017-12-21 17:45:49 UTC
Licensecheck looks ok

$ licensecheck -r .
./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./.testrepository/format: *No copyright* UNKNOWN
./.testrepository/next-stream: *No copyright* UNKNOWN
./.testrepository/times.dbm: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/PKG-INFO: *No copyright* Apache
./cinder_tempest_plugin.egg-info/SOURCES.txt: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/dependency_links.txt: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/entry_points.txt: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/not-zip-safe: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/pbr.json: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/requires.txt: *No copyright* UNKNOWN
./cinder_tempest_plugin.egg-info/top_level.txt: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./cinder/tests/tempest/README.rst: *No copyright* UNKNOWN
./cinder/tests/tempest/cinder_clients.py: Apache (v2.0)
./cinder/tests/tempest/config.py: Apache (v2.0)
./cinder/tests/tempest/plugin.py: Apache (v2.0)
./cinder/tests/tempest/services/consistencygroups_client.py: Apache (v2.0)
./cinder/tests/tempest/services/volume_revert_client.py: Apache (v2.0)
./cinder/tests/tempest/api/volume/test_consistencygroups.py: Apache (v2.0)
./cinder/tests/tempest/api/volume/test_volume_backup.py: Apache (v2.0)
./cinder/tests/tempest/api/volume/test_volume_revert.py: Apache (v2.0)
./cinder/tests/tempest/api/volume/test_volume_unicode.py: Apache (v2.0)


license is valid Apache v2.0

Comment 2 Haïkel Guémar 2018-01-24 08:48:51 UTC
Approved


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 13 files have unknown
     license. Detailed output of licensecheck in /home/hguemar/dist-
     git/delorean/centos-
     master/data/repos/75/51/75511e3a85d48a58a85541d1a0d4e66aeb99d862_dev
     /python-cinder-tests-tempest/licensecheck.txt
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev51
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-cinder-tests-tempest-0.0.1-0.20180123145933.75511e3.el7.centos.noarch.rpm
          python-cinder-tests-tempest-0.0.1-0.20180123145933.75511e3.el7.centos.src.rpm
python2-cinder-tests-tempest.noarch: E: no-changelogname-tag
python-cinder-tests-tempest.src: E: no-changelogname-tag
python-cinder-tests-tempest.src: W: invalid-url Source0: cinder_tempest_plugin-0.0.1.dev51-0.20180123145933.75511e3.tar.gz
2 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
python2-cinder-tests-tempest.noarch: E: no-changelogname-tag
python2-cinder-tests-tempest.noarch: W: invalid-url URL: https://git.openstack.org/cgit/openstack/cinder-tempest-plugin/ <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
python2-cinder-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-oslo-config
    python-oslo-serialization
    python-pbr
    python-six
    python-tempest



Provides
--------
python2-cinder-tests-tempest:
    python-cinder-tests-tempest
    python2-cinder-tests-tempest



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-pike-el7 -r -n python-cinder-tests-tempest -p --define DISTTAG=el7.
Buildroot used: cloud7-openstack-pike-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, EPEL6


Note You need to log in before you can comment on or make changes to this bug.